Upcoming PHP Changes with Web Hosting

10 December 2018

Since the launch of our web hosting service we've aimed to support as many different systems as possible. Part of this was offering multiple PHP versions, ranging from PHP 5.4 all the way to PHP 7.2.

PHP 5.4 has been un-supported for over 3 years, which is a security concern. Thankfully non of our web hosting sites are currently set to use PHP 5.4 or 5.5, which means removing support for these versions is an easy process.

PHP 5.6 is a slightly bigger operation to remove from our web hosting, due to it still being a heavily used (and our default) PHP version. Support for PHP 5.6 ends at the end of the year, so we're aiming to start our plans to have people migrate to PHP 7.2 or later. Part of this will be enforcing PHP 7.2 as our default PHP version for new sites, starting today.

Summary

  • PHP 5.4/5.5 support has already been removed at the time of writing this post.
  • PHP 5.6 will continue to be offered for as long as possible, however we will be pushing clients towards PHP 7.2.
  • PHP 7.0 will be removed in early 2019, and all previous sites will move over to 7.2 by default.
  • PHP 7.1 will be offered until end of support, which is currently planned for the end of 2019.
  • PHP 7.2 will be our default PHP version until 7.3 is supported, and will be removed once support ends in 2020.
  • PHP 7.3 just recently released. We're aiming to support this as our default PHP version sometime in early 2019.

We want to help our clients be as up-to-date and secure as possible. If you have any questions or concerns feel free to open a support ticket and we'll be happy to help.